package com.timezone

import com.facebook.react.bridge.ReactApplicationContext
import com.facebook.react.bridge.ReactContextBaseJavaModule
import com.facebook.react.bridge.ReactMethod
import com.facebook.react.bridge.Promise
import java.util.TimeZone
import android.os.Build
import android.text.format.DateFormat
import android.util.Log
import com.facebook.react.bridge.Callback
import java.util.Calendar

class TimezoneModule(reactContext: ReactApplicationContext) :
  ReactContextBaseJavaModule(reactContext) {

  override fun getName(): String {
    return NAME
  }

  // Example method
  // See https://reactnative.dev/docs/native-modules-android
  @ReactMethod
  fun multiply(a: Double, b: Double, promise: Promise) {
    promise.resolve(a * b)
  }

  @ReactMethod
  fun getTimezoneAbbreviation(callback: Callback): String {

    val timeZone = TimeZone.getDefault().getDisplayName(false,TimeZone.SHORT)
    Log.e("timeZone",timeZone)
    val abbreviation = timeZone.substringAfterLast(" ")
    callback.invoke(abbreviation)
    return abbreviation
  }

  companion object {
    const val NAME = "Timezone"
  }
}
